--	Implements a generic class builder.


local major, minor, libTable = LibStub("LibBuilder-1.0"):GetLib()
if not libTable.canLoad then return end


libTable.classes = {}

function libTable:NewClass(name)
	local class, prototype, metatable = {}, {}, {}
	
	class.prototype = prototype
	
	metatable.__index = prototype
	class.instanceMetatable = metatable
	
	self.classes[name] = class
	
	return class, prototype
end
